{% extends 'dashboard/dashboard_content.html' %}

{% block title %}
    Student Lookup
{% endblock %}

{% block rightPane %}
    <div class="x_panel">
        <div class="x_title">
            <h2>
                <i class="fa fa-user"></i>
                Student Look-up
            </h2>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">

                    <div class="form-horizontal form-label-left">
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                                Register No.
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input id="regno" required="required"
                                       class="form-control col-md-7 col-xs-12"
                                       type="text">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12">
                            </label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <button id="get" type="submit" class="btn1 btn-purple">Get details</button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="ln_solid"></div>
            <div id="alertfield" class="alert alert-danger" role="alert" align="center">
                <h4 style="font-size: 18px"><strong>Oh snap!</strong> No Matches Found</h4>
            </div>

            <div id="info" class="x_content">
                <div class="col-md-4 col-sm-4 col-xs-12 profile_left">
                    <div class="profile_img">
                        <div id="crop-avatar">
                            {% load static %}
                            {% get_media_prefix as MEDIA_ROOT %}

                            <img id="picgender" src="{{ MEDIA_ROOT }}/images/male.png"
                                 alt="Image Not found" height="250px"
                                 width="250px"><br/>

                        </div>
                    </div>
                </div>
                <div class="col-md-8 col-sm-8 col-xs-12">

                    <table id="" class="table">
                        <tr>

                            <th><i class="fa fa-user"></i>&nbsp;&nbsp;
                                Name
                            </th>
                            <td id="name">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-hashtag"></i>&nbsp;&nbsp;
                                Roll No
                            </th>
                            <td id="rollno">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-phone"></i>&nbsp;&nbsp;
                                Phone no
                            </th>
                            <td id="phone">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-envelope"></i>&nbsp;&nbsp;
                                Email id
                            </th>
                            <td id="email">

                            </td>
                        </tr>
                        <tr>
                            <th id="genderhead">
                                <i class="fa fa-mars"></i>&nbsp;&nbsp;
                                Gender
                            </th>
                            <td id="gender">

                            </td>
                        </tr>
                        <tr>
                            <th>
                                <i class="fa fa-calendar"></i>&nbsp;&nbsp;&nbsp;
                                DOB
                            </th>
                            <td id="dob">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-university"></i>&nbsp;&nbsp;
                                Department
                            </th>
                            <td id="department">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-group"></i>&nbsp;&nbsp;
                                Batch
                            </th>
                            <td id="batch">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-newspaper-o"></i>&nbsp;&nbsp;
                                Current semester
                            </th>
                            <td id="sem">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-mortar-board"></i>&nbsp;&nbsp;
                                Qualification
                            </th>
                            <td id="qualification">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-home"></i>&nbsp;&nbsp;
                                Permanent address
                            </th>
                            <td id="paddr">

                            </td>
                        </tr>
                        <tr>
                            <th><i class="fa fa-building"></i>&nbsp;&nbsp;
                                Temporary address
                            </th>
                            <td id="taddr">

                            </td>
                        </tr>
                    </table>
                </div>
            </div>
        </div>
        <br>
        <br>
        <br>
        <br>
    </div>


    <script type="text/javascript">

        $('#info').hide();
        $('#alertfield').hide();


        var current_active_batch;
        //For getting CSRF token
        function getCookie(name) {
            var cookieValue = null;
            if (document.cookie && document.cookie != '') {
                var cookies = document.cookie.split(';');
                for (var i = 0; i < cookies.length; i++) {
                    var cookie = jQuery.trim(cookies[i]);
                    // Does this cookie string begin with the name we want?
                    if (cookie.substring(0, name.length + 1) == (name + '=')) {
                        cookieValue = decodeURIComponent(cookie.substring(name.length + 1));
                        break;
                    }
                }
            }
            return cookieValue;
        }
        $(document).on("click", '#get', function (e) {
            var regno = $('#regno').val();
            //alert(regno);


            $.ajax({
                type: "POST",
                data: {
                    regno: regno,
                    csrfmiddlewaretoken: getCookie('csrftoken'),
                },
                url: '{% url 'lookupstudent' %}',
                //dataType: 'json',
                success: function (data) {
                    //$('#batch').val(data['list']);
                    //alert(data['list']);
                    //var text = document.createTextNode("some text");
                    $('#alertfield').hide();
                    $('#info').show();
                    if (data['name']) {
                        document.getElementById('name').innerText = data['name'];
                        document.getElementById('rollno').innerText = data['rollno'];
                        document.getElementById('phone').innerText = data['phone'];
                        document.getElementById('email').innerHTML = "<a href=\"mailto:" + data['email'] + "\" >" + data['email'] + "</a>";

                        if (data['gender'] == "M") {
                            document.getElementById('genderhead').innerHTML = "<i class=\"fa fa-mars\"></i>&nbsp;&nbsp;&nbsp;Gender";
                            document.getElementById('gender').innerText = "Male";
                        }
                        else {
                            document.getElementById('genderhead').innerHTML = "<i class=\"fa fa-venus\"></i>&nbsp;&nbsp;&nbsp;Gender";
                            document.getElementById('gender').innerText = "Female";
                        }

                        document.getElementById('dob').innerText = data['dob'];
                        document.getElementById('department').innerText = data['department'];
                        document.getElementById('batch').innerText = data['batch'];
                        document.getElementById('sem').innerText = data['sem'];
                        document.getElementById('qualification').innerText = data['qualification'];
                        document.getElementById('paddr').innerText = data['paddr'];
                        document.getElementById('taddr').innerText = data['taddr'];

                        document.getElementById('picgender').src = "{{ MEDIA_ROOT }}" + data['avatar'];

                        document.getElementById('taddr').innerText = data['taddr'];
                    }
                    else {
                        $('#info').hide();
                        $('#alertfield').show();
                    }
                }
            });

        });

    </script>

{% endblock %}